DtMmdbGetBookCaseByIndex(library call)

NAME
DtMmdbGetBookCaseByIndex — obtains a descriptor for a bookcase based on an infolib index

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbGetBookCaseByIndex(
int infolib_descriptor,
int index);

DESCRIPTION

The DtMmdbGetBookCaseByIndex function makes the database engine ready to provide access service for a bookcase. It allows you to access all bookcases in an infolib without knowing their names.

ARGUMENTS

infolib_descriptor
    Specifies the infolib that contains the bookcase.

index
    Specifies the index of the bookcase within the infolib. The value must be an integer in the range 0 to n-1, where n is the number of bookcases in the infolib.

RETURN VALUE

If DtMmdbGetBookCaseByIndex completes successfully, it returns the descriptor for the bookcase. If it fails, it returns -1.

EXAMPLE

The following shows how a DtMmdbGetBookCaseByIndex call might be coded.

DtMmdbGetBookCaseByIndex(myInfoLibDescriptor, i);

SEE ALSO

DtMmdbGetBookCaseByLoc(3), DtMmdbGetBookCaseByLocs(3), DtMmdbGetBookCaseByName(3)